Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.makumba
Class OQLQueryProvider

    java.lang.Object
      org.makumba.providers.QueryProvider
          org.makumba.db.makumba.OQLQueryProvider

All Implemented Interfaces:
  SingletonHolder

    public class OQLQueryProvider

extends QueryProvider

Field Summary
`static String` | `OQLQUERY_ANALYSIS_PROVIDER`

Constructor Summary
`OQLQueryProvider()`

Method Summary
`void` | `close()` Closes the environment, when all queries were executed
`Vector<Dictionary<String,Object>>` | `executeRaw(String query, Map args, int offset, int limit)` Executes a query with a given set of parameters
`protected String` | `getQueryAnalysisProviderClass()`
`protected void` | `init(String dataSource, Attributes a)` Initalises the provider with the datasource

Methods inherited from class org.makumba.providers.QueryProvider
`execute, getDataSource, getQueryAnalzyer, makeQueryRunner, makeQueryRunner, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OQLQUERY_ANALYSIS_PROVIDER

    public static final String OQLQUERY_ANALYSIS_PROVIDER

See Also:
  Constant Field Values

Constructor Detail

### OQLQueryProvider

    public OQLQueryProvider()

Method Detail

### getQueryAnalysisProviderClass

    protected String getQueryAnalysisProviderClass()

  Overrides:
    `getQueryAnalysisProviderClass` in class `QueryProvider`

### executeRaw

    public Vector<Dictionary<String,Object>> executeRaw(String query,
                                                        Map args,
                                                        int offset,
                                                        int limit)

  Description copied from class: `QueryProvider`
  Executes a query with a given set of parameters

  Specified by:
    `executeRaw` in class `QueryProvider`
  Parameters:
    `query` - the query to execute
    `args` - the arguments of this query
    `offset` - from which record should results be returned
    `limit` - until which record should results be returned
  Returns:
    a Vector holding Dictionaries corresponding to a result

### close

    public void close()

  Description copied from class: `QueryProvider`
  Closes the environment, when all queries were executed

  Specified by:
    `close` in class `QueryProvider`

### init

    protected void init(String dataSource,
                        Attributes a)

  Description copied from class: `QueryProvider`
  Initalises the provider with the datasource

  Overrides:
    `init` in class `QueryProvider`
  Parameters:
    `dataSource` - the source on which the query should be run

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20